# Put the Internal Identities of a TOE
source: https://developer.mastercard.com/riskrecon-api/documentation/testing/toe-samples/updt-a-toe-intl-id-smpl/index.md

Allows you to map a TOE ID to an identifier used for the vendor within your internal systems.

## Pre-requisites {#pre-requisites}

Refer to the [Update the Internal Identities of a TOE](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/portfolio-management/portfolio/update-a-toe-internal-id/index.md).

## Request URL for the Sandbox environment {#request-url-for-the-sandbox-environment}

    PUT https://api.sandbox.riskrecon.com/v1/toe/<toe_id>

## Request URL for the Production environment {#request-url-for-the-production-environment}

    PUT https://api.riskrecon.com/v1/toe/<toe_id>

## Test Cases {#test-cases}

### Test Success - Update internal identities of a TOE {#test-success---update-internal-identities-of-a-toe}

**Request**

Here is an example of a request made to update the internal identities of a TOE in your portfolio using the `curl` command.

```bash
curl -X 'PUT' \
  'https://api.sandbox.riskrecon.com/v1/toe/09918d09-8d52-4e86-a3ec-5ef4d461e2ba' \
  -H 'accept: application/json' \
  -H 'Authorization: <valid_JWT>' \
  -H 'Content-Type: application/json' \
  -d '{
  "internal_id": [
    "tier_1"
  ],
  "internal_name": [
    "Vendor Management"
  ]
}'
```

**Response**

put:

HTTP response 200

```json
{
  "internal_id": [
    "tier_1"
  ],
  "internal_name": [
    "Vendor Management"
  ],
  "toe_id": "09918d09-8d52-4e86-a3ec-5ef4d461e2ba",
  "toe_short_name": "New Inc."
}
```

### Test Case: Fail - Expired or Invalid JWT {#test-case-fail---expired-or-invalid-jwt}

**Request**

Here is an example, using a `curl` command, of a request made with an invalid JWT.

```bash
curl -X 'PUT' \
  'https://api.sandbox.riskrecon.com/v1/toe/09918d09-8d52-4e86-a3ec-5ef4d461e2ba' \
  -H 'accept: application/json' \
  -H 'Authorization: <invalid_JWT>' \
  -H 'Content-Type: application/json' \
  -d '{
  "internal_id": [
    "tier_1"
  ],
  "internal_name": [
    "Vendor Management"
  ]
}'
```

**Response**

HTTP Error Response 401

```json
{
  "Errors": {
    "Error": [
      {
        "Description": "Unauthorized request",
        "Details": "Invalid JWT",
        "ReasonCode": "UNAUTHORIZED",
        "Recoverable": false,
        "Source": "RISKRECON_API"
      }
    ]
  }
}
```

